Bug 114578 - RHEL4 U1: File Delegation, at least read-only.
RHEL4 U1: File Delegation, at least read-only.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
high Severity medium
: ---
: ---
Assigned To: Steve Dickson
IT_33231
Kernel
:
Depends On: 86995
Blocks: 156323
  Show dependency treegraph
 
Reported: 2004-01-29 13:36 EST by Kevin Krafthefer
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version: RHSA-2005-514
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 08:28:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Krafthefer 2004-01-29 13:36:56 EST
File Delegation, at least read-only. This would do amazing things for read-only
environments where we have a pool of web/app servers that mount content
read-only from a central NFS server... good examples of this might be imageserving.
Comment 3 dff 2004-05-19 16:10:24 EDT
From section 1.4.6 of the NFSv4 RFC (http://www.ietf.org/rfc/rfc3530.txt):

   The major addition to NFS version 4 in the area of caching is the
   ability of the server to delegate certain responsibilities to the
   client.  When the server grants a delegation for a file to a client,
   the client is guaranteed certain semantics with respect to the
   sharing of that file with other clients.  At OPEN, the server may
   provide the client either a read or write delegation for the file.
   If the client is granted a read delegation, it is assured that no
   other client has the ability to write to the file for the duration of
   the delegation.  If the client is granted a write delegation, the
   client is assured that no other client has read or write access to
   the file.

   Delegations can be recalled by the server.  If another client
   requests access to the file in such a way that the access conflicts
   with the granted delegation, the server is able to notify the initial
   client and recall the delegation.  This requires that a callback path
   exist between the server and client.  If this callback path does not
   exist, then delegations can not be granted.  The essence of a
   delegation is that it allows the client to locally service operations
   such as OPEN, CLOSE, LOCK, LOCKU, READ, WRITE without immediate
   interaction with the server.

So, I think the question is simply whether our NFSv4 implementation supports
file delegation as described in the NFSv4 standard?
Comment 8 Marty Wesley 2005-05-26 02:48:10 EDT
PM ACK for U6
Comment 15 Red Hat Bugzilla 2005-10-05 08:28:47 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-514.html

Note You need to log in before you can comment on or make changes to this bug.